javax.jdo.datastore

## Interface Sequence

-     public interface Sequence

  Implementations of this interface can be used to obtain sequences. The behavior with regard to the transaction and rollover behavior are defined in the metadata.
  Since:
    2.0
  Version:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allocate(int additional)` Provides a hint to the implementation that the application will need `additional` sequence value objects in short order.
    `Object` | `current()` Returns the current sequence value object if it is available.
    `long` | `currentValue()` Returns the current sequence value as a long.
    `String` | `getName()` Returns the fully qualified name of the `Sequence`.
    `Object` | `next()` Returns the next sequence value as an Object.
    `long` | `nextValue()` Returns the next sequence value as a long.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the fully qualified name of the `Sequence`.
      Returns:
        the name of the sequence

    - #### next

          Object next()

      Returns the next sequence value as an Object. If the next sequence value is not available, throw JDODataStoreException.
      Returns:
        the next value

    - #### allocate

          void allocate(int additional)

      Provides a hint to the implementation that the application will need `additional` sequence value objects in short order. There is no externally visible behavior of this method. It is used to potentially improve the efficiency of the algorithm of obtaining additional sequence value objects.
      Parameters:
        `additional` - the number of additional values to allocate

    - #### current

          Object current()

      Returns the current sequence value object if it is available. It is intended to return a sequence value object previously used. If the current sequence value is not available, throw JDODataStoreException.
      Returns:
        the current value

    - #### nextValue

          long nextValue()

      Returns the next sequence value as a long. If the next sequence value is not available or is not numeric, throw JDODataStoreException.
      Returns:
        the next value

    - #### currentValue

          long currentValue()

      Returns the current sequence value as a long. If the current sequence value is not available or is not numeric, throw JDODataStoreException.
      Returns:
        the current value

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.